FROM alpine as qemu

RUN if [ -n "arm" ]; then \
		wget -O /qemu-arm-static https://github.com/multiarch/qemu-user-static/releases/download/v4.1.0-1/qemu-arm-static; \
	else \
		echo '#!/bin/sh\n\ntrue' > /qemu-arm-static; \
	fi; \
	chmod a+x /qemu-arm-static

FROM arm32v5/busybox:latest

COPY --from=qemu /qemu-arm-static /usr/bin/

# COPY ARTIFACTS FROM OTHER CONTAINERS

COPY files/ /

# CONFIGURATION

CMD [ "/sbin/console-init" ]

